Войти
ПрограммированиеФорумВеб

почему у меня не работает require???

Страницы: 1 2 Следующая »
#0
18:25, 28 ноя 2022

в общем в visual code не работает команда require для node.js с visual code. Почему?

#1
20:24, 28 ноя 2022

MicroEx
а ты напиши как его пишешь. Просто для самописных модулей надо путь прописывать.

#2
20:47, 28 ноя 2022

DemiosFantasimo
ДА ХЗ забыл как писал.

типо было что-то

const chank = require('chank')

И началось проблема. Компилятору (visual code) не понравилась этот require СРАЗУ и пишет типо неизвастная команда. я до этого подключал

1. npm init (проект node js)
2. npm i chank (где i равносильно install, пакет chank какой-то . по уроку Владилена Минена смотрел)
3.  и пишу node index  (стандартно *.js вставляет если без разширение в терминале)

то жалуется. у него WebStorm был и года 3 назад так было урок. Может require устарела в 2022 году? или как вобще Node.JS + Visual Code юзать ? Или Visual Code тупит?

#3
20:51, 28 ноя 2022
Error [ERR_REQUIRE_ESM]: require() of ES Module visual code

вот это была

#4
21:00, 28 ноя 2022

а ну тут хз. гуглить надо. Думал может модуль коряво экспортится. "visual code" прям тексте ошибки?

#5
21:04, 28 ноя 2022

DemiosFantasimo
visual code я сам написал. че мне делать? в гугле НИЧЕГО не нашел. Посвятил этой ошибке 3 часа. Завтра на работу. Сижу грусным((( полный решимости сидел начал учить nodejs , а тут такая странная ошибка.
я в гугле не нашел. Че делать ?

#6
21:26, 28 ноя 2022

MicroEx
> в гугле НИЧЕГО не нашел
Видимо у нас разный гугл. Я на ноде ничего не писал, но по первым ссылкам примерно понятно, что есть несколько способов грузить модули и они несовместимы. Подробнее тут: https://gist.github.com/sindresorhus/a39789f98801d908bbc7ff3ecc99d99c

#7
21:27, 28 ноя 2022

MicroEx
Я нашел. Через 3 часа скину ответ.

+ Показать
#8
5:34, 29 ноя 2022

lookid
так там 0 решений. или устарели. в 2022 году совсем по другому походу

Dimich
можешь плиз обяснить простых языком что мне надо сделать? я прост оне понмимаю энглиш ПЛЗИ!

#9
5:57, 29 ноя 2022

MicroEx
> const chank = require('chank')
Здесь точно chank, а не chalk?

#10
6:43, 29 ноя 2022

DemiosFantasimo
> visual code я сам написал
ну ты гений))))

Значит модуль твой устарел и не подходит под стандарты
Поробуй запустить код не из терминала VSCODE а из обычной консоли. Если там будет такая же фигня значит разбирайся с модулем. Если нет , то возможно стоит что-то отключить в VSCODE... какой-нибудь ESLint

#11
7:47, 29 ноя 2022

Dimich
chalk было извините ошибся

DemiosFantasimo
модуль это че ваще такое?

#12
8:04, 29 ноя 2022

MicroEx
> chalk было
https://stackoverflow.com/a/70748594

Сколько проблем из-за желания раскрасить терминал...

#13
8:28, 29 ноя 2022

Dimich
БЛИН! надо попробовать сегодня же вечерком! Спасибо ты дал мне надежду! Спасибо реально бро очень благодарен

#14
8:50, 29 ноя 2022

MicroEx
> модуль это че ваще такое?
Оооооо... Доктор сказал в гугл... учить основы Node.js

Страницы: 1 2 Следующая »
ПрограммированиеФорумВеб

Тема в архиве.